Bug 214499 - devel/libcrossguid: add SONAME, cosmetic fixes
Summary: devel/libcrossguid: add SONAME, cosmetic fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-11-14 10:27 UTC by Carlos J. Puga Medina
Modified: 2016-11-25 00:44 UTC (History)
4 users (show)

See Also:
mickael.maillot: maintainer-feedback+
cpm: merge-quarterly+


Attachments
patch (2.10 KB, patch)
2016-11-14 10:27 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch v1 (1.97 KB, patch)
2016-11-14 15:54 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch v2 (1.96 KB, patch)
2016-11-14 16:41 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (mickael.maillot)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2016-11-14 10:27:49 UTC
Created attachment 176986 [details]
patch

libcrossguid.so lacks of a soname, so I added the soname to stop the qa stage complain:

/usr/local/lib/libcrossguid.so which does not have a SONAME. devel/libcrossguid needs to be fixed.

Furthermore, 'pkg check' shows:

% pkg check -dn
kodi is missing a required shared library: libcrossguid.so

No output here:

% objdump -p /usr/local/lib/libcrossguid.so | grep SONAME

While I'm here, add some cosmetic fixes.
Comment 1 Carlos J. Puga Medina freebsd_committer 2016-11-14 10:36:41 UTC
portlint -ac output looks fine.

poudriere testport build logs are fine on 9.3/ia, 10.2/ia, 10.3/ia and 11.0/ia
Comment 2 Dmitry Marakasov freebsd_committer 2016-11-14 15:02:44 UTC
This doesn't seem to be correct. The purpose of soname is to point linker to current ABI version of the library, in this case it should be libcrossguid.so.0. There's also no point in using soname in pkgconfig file, just add -lcrossguid there (and probably remove -lguid, seems like a typo).
Comment 3 Carlos J. Puga Medina freebsd_committer 2016-11-14 15:54:34 UTC
Created attachment 176996 [details]
patch v1
Comment 4 Carlos J. Puga Medina freebsd_committer 2016-11-14 15:58:00 UTC
(In reply to Dmitry Marakasov from comment #2)

You're right, Dmitry :)

Thanks for checking the patch.
Comment 5 Dmitry Marakasov freebsd_committer 2016-11-14 16:07:56 UTC
(In reply to Carlos J. Puga Medina from comment #4)
> (In reply to Dmitry Marakasov from comment #2)
> 
> You're right, Dmitry :)
> 
> Thanks for checking the patch.

-Wl,-soname,libcrossguid.so.0
                           ^^
Comment 6 Dmitry Marakasov freebsd_committer 2016-11-14 16:09:11 UTC
Also I see no point in splitting post-install target - everything can be made in do-install.
Comment 7 Carlos J. Puga Medina freebsd_committer 2016-11-14 16:41:17 UTC
Created attachment 176998 [details]
patch v2

Done!
Comment 8 Carlos J. Puga Medina freebsd_committer 2016-11-14 16:49:32 UTC
% objdump -p /usr/local/lib/libcrossguid.so | grep SONAME
  SONAME               libcrossguid.so.0

% objdump -p /usr/local/lib/libcrossguid.so.0 | grep SONAME
  SONAME               libcrossguid.so.0
Comment 9 Carlos J. Puga Medina freebsd_committer 2016-11-14 18:44:47 UTC
Now 'pkg check -dn' looks fine. All required shared libraries are found.

LGTM.
Comment 10 Dmitry Marakasov freebsd_committer 2016-11-15 11:06:10 UTC
LGTM as well
Comment 11 mickael.maillot 2016-11-18 16:19:57 UTC
Looks good to me too
Comment 12 Dmitry Marakasov freebsd_committer 2016-11-24 09:37:51 UTC
Carlos, please commit.
Comment 13 commit-hook freebsd_committer 2016-11-24 11:32:07 UTC
A commit references this bug:

Author: cpm
Date: Thu Nov 24 11:31:33 UTC 2016
New revision: 427007
URL: https://svnweb.freebsd.org/changeset/ports/427007

Log:
  devel/libcrossguid: Add SONAME, cosmetic fixes

  - Add SONAME to libcrossguid.so
  - Cosmetic fixes
  - Bump PORTREVISION

  PR:		214499
  Submitted by:	cpm
  Reviewed by:	Mickael Maillot <mickael.maillot@gmail.com> (maintainer), amdmi3 (mentor)
  Approved by:	Mickael Maillot <mickael.maillot@gmail.com> (maintainer), amdmi3 (mentor)
  MFH:		2016Q4

Changes:
  head/devel/libcrossguid/Makefile
  head/devel/libcrossguid/files/libcrossguid.pc.in
Comment 14 Carlos J. Puga Medina freebsd_committer 2016-11-24 11:32:43 UTC
(In reply to Dmitry Marakasov from comment #12)

Committed, thanks!
Comment 15 commit-hook freebsd_committer 2016-11-25 00:41:21 UTC
A commit references this bug:

Author: cpm
Date: Fri Nov 25 00:40:40 UTC 2016
New revision: 427070
URL: https://svnweb.freebsd.org/changeset/ports/427070

Log:
  MFH: r427007

  devel/libcrossguid: Add SONAME, cosmetic fixes

  - Add SONAME to libcrossguid.so
  - Cosmetic fixes
  - Bump PORTREVISION

  PR:		214499
  Submitted by:	cpm
  Reviewed by:	Mickael Maillot <mickael.maillot@gmail.com> (maintainer), amdmi3 (mentor)
  Approved by:	Mickael Maillot <mickael.maillot@gmail.com> (maintainer), amdmi3 (mentor)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/devel/libcrossguid/Makefile
  branches/2016Q4/devel/libcrossguid/files/libcrossguid.pc.in